import request from '@/utils/request'

export function store(data) {
  return request({
    url: '/api/admin/regulation/store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/regulation/save',
    method: 'post',
    data
  })
}

export function listregulation(show_tree, type) {
  return request({
    url: '/api/admin/regulation/index',
    method: 'get',
    params: {
      show_tree,
      type
    }
  })
}

export function del(regulation_menu_id) {
  return request({
    url: '/api/admin/regulation/destroy',
    method: 'get',
    params: {
      regulation_menu_id
    }
  })
}

export function get(regulation_menu_id) {
  return request({
    url: '/api/admin/regulation/show',
    method: 'get',
    params: {
      regulation_menu_id
    }
  })
}
